#
# spec file for package sensors (Version 2.10.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libart_lgpl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm rrdtool sed strace sysfsutils sysvinit tar tcpd texinfo timezone udev unzip util-linux vim zlib zlib-devel

Name:           sensors
BuildRequires:  rrdtool sysfsutils udev
URL:            http://secure.netroedge.com/~lm78/
Version:        2.10.0
Release:        10.2
Summary:        Hardware health monitoring for Linux
License:        GPL
Group:          System/Monitoring
Requires:       modules udev
Autoreqprov:    on
Source0:        lm_sensors-2.10.0.tar.bz2
Source1:        README.SuSE
Patch:          lm_sensors-2.10.0.dif
Patch1:         lm_sensors-2.8.3-nodump.patch
Patch2:         lm_sensors-2.7.0-kernelheaders.dif
Patch3:         lm_sensors-2.9.2-tmp.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifarch	%ix86 x86_64 ia64 alpha
%define	we_have_isa	1
%else
%define	we_have_isa	0
%endif

%description
This package includes programs that show data from some sensor chips. 
The interface /proc/bus/i2c/ is provided by loading kernel modules. 
Which modules to load can be interactively detected as root by calling
/usr/sbin/sensors-detect. The default configuration in
/etc/sensors.conf should be changed to fit the actual set up of the
mainboard.



Authors:
--------
    Simon G. Vogl      <simon@tk.uni-linz.ac.at>
    Mark D. Studebaker <mds@eng.paradyne.com>
    Philip Edelbrock   <phil@netroedge.com>
    Kysti Mlkki      <kmalkki@cc.hut.fi>
    Fons Rademakers    <Fons.Rademakers@cern.ch>
    Frodo Looijaard    <frodol@dds.nl>
    Geert Uytterhoeven <geert@linux-m68k.org>

%debug_package
%prep
%setup -n lm_sensors-%{version} 
%patch
%if !%{we_have_isa}
%patch1
%endif
%patch2
%patch3

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
    make PROG_EXTRA:=sensord LIBDIR=%{_libdir} user

%install
    rm -rf $RPM_BUILD_ROOT
    test -d lm_sensors2/ && cd lm_sensors2/
    make user_install PROG_EXTRA:=sensord LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT
    cd doc/
	mkdir -p			$RPM_BUILD_ROOT/%{_docdir}/sensors
	cp -a FAQ			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a modules			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a donations			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a fan-divisors		$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a fancontrol.txt		$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a busses/			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a temperature-sensors	$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a vid			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a useful_addresses.html	$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a chips/			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a progs			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	#chown -R root:root		$RPM_BUILD_ROOT/%{_docdir}/sensors/
	chmod -R u+rwX,g+rX,o+rX	$RPM_BUILD_ROOT/%{_docdir}/sensors/
    cd ../
    cp ${RPM_SOURCE_DIR}/README.SuSE	$RPM_BUILD_ROOT/%{_docdir}/sensors/
    mkdir -p $RPM_BUILD_ROOT/%{_docdir}/sensors/prog/init
    install -m 0755 prog/init/lm_sensors.init.suse	$RPM_BUILD_ROOT/%{_docdir}/sensors/prog/init/
    install -m 0644 prog/init/lm_sensors.sysconfig	$RPM_BUILD_ROOT/%{_docdir}/sensors/prog/init/
    install -m 0755 prog/init/sensord.init		$RPM_BUILD_ROOT/%{_docdir}/sensors/prog/init/
    install -m 0644 prog/init/README			$RPM_BUILD_ROOT/%{_docdir}/sensors/prog/init/
    chmod 0755 $RPM_BUILD_ROOT/%{_libdir}/libsensors.so.*
    mkdir -p $RPM_BUILD_ROOT/etc/init.d
    install -m 0755 prog/init/lm_sensors.init.suse	$RPM_BUILD_ROOT/etc/init.d/lm_sensors
# cleanup
rm -f $RPM_BUILD_ROOT/usr/src/linux/include/i2c-dev.h
rm -f $RPM_BUILD_ROOT/usr/src/linux/include/sensors.h

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%config(noreplace) /etc/sensors.conf
%config            /etc/init.d/lm_sensors
%attr(660, root, root) %dev(c, 89, 0) /lib/udev/devices/i2c-0
/usr/bin/*
/usr/sbin/*
%doc %{_docdir}/sensors/
/usr/include/sensors/
%{_libdir}/libsensors.a
%{_libdir}/libsensors.so*
%doc /usr/share/man/man1/*.1.gz
%doc /usr/share/man/man3/*.3.gz
%doc /usr/share/man/man5/*.5.gz
%doc /usr/share/man/man8/*.8.gz

%changelog -n sensors
* Tue Feb 28 2006 - werner@suse.de
- Update to version 2.10.0 for better udev support (bug #151931)
- Add i2c-0 to static device list for udev (bug #151931)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - werner@suse.de
- Include fan control in lm_sensors service script (bug #141958)
* Tue Dec 13 2005 - werner@suse.de
- Do not to handle module variables from package Modules (#137963)
* Thu Nov 10 2005 - werner@suse.de
- Add postun section to run insserv_clean (bug #132934)
* Fri Oct 14 2005 - werner@suse.de
- Update to lm_sensors version 2.9.2
* Thu Aug 25 2005 - werner@suse.de
- Security fix in pwmconfig (bug #112925)
* Wed May 11 2005 - schwab@suse.de
- Add freetype2 and libart_lgpl to nfb, needed by rrdtool.
* Mon May 09 2005 - werner@suse.de
- Update to lm_sensors-2.9.1
- Use insserv to enable rc script (bug #76174)
* Thu Feb 17 2005 - werner@suse.de
- Update to lm_sensors-2.9.0 (bug #50681)
* Mon Aug 30 2004 - werner@suse.de
- Update to newest lm_sensors-2.8.7 to be compatible to the current
  kernel version.
* Tue May 04 2004 - werner@suse.de
- Fix bug #35502 (missing w83627hf entries) by updating to
  lm_sensors-2.8.6 which includes a better parser for sysfs
* Tue Apr 13 2004 - ro@suse.de
- remove kernel-source from neededforbuild
  (not needed any longer)
* Wed Mar 10 2004 - werner@suse.de
- Add workaround for missing w83627hf chip driver (bug #35501)
* Tue Mar 09 2004 - werner@suse.de
- A few changes for kernel 2.6 (bug #35500)
* Fri Mar 05 2004 - pth@suse.de
- Remove no-strict-aliasing and fix the code instead. Patch
  was also sent to upstream maintainers for inclusion.
* Fri Mar 05 2004 - ro@suse.de
- added libpng to neededforbuild (for rrdtool)
- use no-strict-aliasing
* Wed Jan 28 2004 - ro@suse.de
- update to 2.8.3
- use buildroot and build as user
* Fri Sep 12 2003 - ro@suse.de
- configure kernel-source if needed
* Mon Jul 21 2003 - werner@suse.de
- Update to lm_sensors 2.8.0
* Thu Jun 05 2003 - ro@suse.de
- compile using headers from kernel-source not glibc
* Wed Mar 19 2003 - olh@suse.de
- add lm_sensors-2.7.0-nodump.patch to fix dependency tree
* Thu Feb 27 2003 - werner@suse.de
- Fix location of sensors program in boot script
* Tue Feb 11 2003 - werner@suse.de
- Update due to kernel interface update (anything else is a bug)
* Mon Dec 02 2002 - werner@suse.de
- Update to lm_sensors 2.4.6
* Wed Nov 06 2002 - werner@suse.de
- Fix bug # 21583: sensors shouldn't segfault on missing argument.
* Wed Sep 04 2002 - werner@suse.de
- Fix boot scripts to be usable (bug #18868)
- Install some progs which are described in FAQ
* Wed Aug 28 2002 - fehr@suse.de
- updated to current version 2.6.4 of lm_sensors
* Thu Aug 01 2002 - werner@suse.de
- Use _libdir macro for 64bit architectures
* Wed Jul 31 2002 - werner@suse.de
- Install sensord daemon for logging (bug #17316)
* Tue Jun 18 2002 - ke@suse.de
- Fix typo in README.SuSE [# 14790].
* Mon Aug 06 2001 - uli@suse.de
- fixed to build on PPC
* Wed Jul 04 2001 - werner@suse.de
- update to 2.6.0
* Mon Apr 16 2001 - werner@suse.de
- update to 2.5.5
* Thu Apr 05 2001 - uli@suse.de
- removed lx_suse from neededforbuild
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon Jun 19 2000 - ro@suse.de
- update to 2.5.0
* Wed Jun 07 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Fri Feb 11 2000 - ro@suse.de
- removed requires kernmod (package eliminated)
* Wed Feb 02 2000 - werner@suse.de
- No asm/io.h if sys/io.h is included
* Wed Feb 02 2000 - werner@suse.de
- No sys/perm.h or sys/io.h on ppc and sparc
* Tue Feb 01 2000 - werner@suse.de
- New package sensors (version 2.4.3 corresponds with
  current used kernel i2c patch)
- Prefix is /usr, mandir is /usr/share/man, and kernel
  includes i2c
- Be reentrant
- Use RPM_OPT_FLAGS
- Install docs of busses, chips and the FAQ
